var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  r = require("../../hooks/onShow.js"),
  u = require("../../hooks/onShareAppMessage.js"),
  i = require("../../hooks/useState.js"),
  t = require("../../hooks/useHeight.js"),
  o = require("../../constant/index.js"),
  a = require("../../utils/navigate.js"),
  s = require("../../config/index.js");
require("../../service/index.js"),
  require("../../utils/request.js"),
  require("../../utils/util.js"),
  require("../../enums/index.js"),
  require("../../store/app/index.js"),
  require("../../data/index.js");
var c = {
    __name: "index",
    setup: function (c) {
      var f = i.useState(),
        l = f.userId,
        d = f.nickName,
        g = f.avatar,
        v = f.token,
        p = t.useHeight().navigationBarHeight,
        q = e.ref(!0),
        x = e.ref(!1),
        h = function () {},
        j = function (e) {
          a.navigateTo({
            url: "/pages/order-list-mine/index",
            params: { tabIndex: e },
          });
        },
        m = function () {
          a.navigateTo({
            url: "/pages/web-view/index",
            params: { url: o.concealAgreementUrl, title: "隐私协议" },
          });
        },
        k = function () {
          a.navigateTo({
            url: "/pages/web-view/index",
            params: { url: o.userAgreementUrl, title: "用户协议" },
          });
        },
        w = function () {
          a.navigateTo({ url: "/pages/question/index" });
        },
        _ = function (e) {
          e.detail.path && a.switchTab({ url: e.detail.path });
        },
        S = function () {
          a.navigateTo({ url: "/pages/easter-egg/index" });
        };
      return (
        n.onMounted(function () {
          q.value = !1;
          var n = e.index.getAccountInfoSync().miniProgram.envVersion;
          ("develop" !== n && "trial" !== n) || (x.value = !0);
        }, !1),
        r.onShow(),
        u.onShareAppMessage(),
        function (n, r) {
          return e.e(
            { a: !q.value },
            q.value
              ? {}
              : e.e(
                  { b: e.unref(g), c: e.t(e.unref(d)), d: e.unref(v) },
                  e.unref(v) ? { e: e.t(e.unref(l)) } : {},
                  { f: !e.unref(v) },
                  (e.unref(v), {}),
                  {
                    g: e.o(h),
                    h: "".concat(e.unref(p) + 10, "px"),
                    i: e.o(function (e) {
                      return j(0);
                    }),
                    j: e.o(function (e) {
                      return j(1);
                    }),
                    k: e.o(function (e) {
                      return j(2);
                    }),
                    l: e.o(function (e) {
                      return j(3);
                    }),
                    m: e.o(function (e) {
                      return j(4);
                    }),
                    n: e.o(m),
                    o: e.o(k),
                    p: e.o(w),
                    q: e.unref(s.appName),
                    r: e.o(_),
                    s: x.value,
                  },
                  x.value ? { t: e.o(S) } : {}
                )
          );
        }
      );
    },
  },
  f = e._export_sfc(c, [["__scopeId", "data-v-d3798410"]]);
(c.__runtimeHooks = 2), wx.createPage(f);
